{
    num: -32120,
    accuracy: 90,
    basePower: 120,
    category: "Special",
    name: "Reshiram Beam",
    pp: 5,
    priority: 0,
    flags: { protect: 1, failmefirst: 1, failcopycat: 1, failmimic: 1, noassist: 1, beam: 1 },
    noSketch: true,
    onTry(source, target, move) {
      if (source.species.name === "Reshiram" || move.hasBounced) {
        return;
      }
      this.add("-fail", source, "move: Reshiram Kick");
      this.hint("Only a Pokemon whose form is Reshiram can use this move.");
      return null;
    },
    onEffectiveness(typeMod, target, type, move) {
      return typeMod + this.dex.getEffectiveness("Fire", type);
    },
    secondary: {
      chance: 30,
      volatileStatus: "confusion"
    },
    target: "normal",
    type: "Dragon",
    contestType: "Cool"
}